%define name	perl-MLDBM-Sync
%define real_name    MLDBM-Sync
%define version 0.30
%define release %mkrel 5

%define perl_sitelib %(eval "`perl -V:installsitelib`"; echo $installsitelib)

Summary:	%{real_name} module for perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
Source0:	%{real_name}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel perl-Digest-MD5 perl-MLDBM
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl-base
BuildArch:	noarch

%description
%{real_name} module for perl

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST README
%{_mandir}/*/*
%{perl_vendorlib}/MLDBM




%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.30-5mdv2008.1
+ Revision: 136288
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.30-5mdv2008.0
+ Revision: 67500
- kill file require on perl-base


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.30-5mdv2007.0
+ Revision: 108472
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-MLDBM-Sync

